import { AlSegment } from './al-json-viewer.types';
import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AlJsonViewerComponent implements OnInit {
    set json(json: any);
    expanded: boolean;
    isLeafSelectable: boolean;
    initialKeypath?: string;
    onLeafClick: EventEmitter<{
        keypath: string;
        value: unknown;
    }>;
    segments: AlSegment[];
    parentSegment?: AlSegment;
    ngOnInit(): void;
    getSegments(json: any): AlSegment[];
    isExpandable(segment: AlSegment): boolean;
    toggle(segment: AlSegment, event: MouseEvent): void;
    setSegmentChildren(segment: AlSegment): void;
    toggleJSONSegments(segments?: AlSegment[]): void;
    handleJSONState(state: boolean): void;
    private parseKeyValue;
    static ɵfac: i0.ɵɵFactoryDef<AlJsonViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlJsonViewerComponent, "al-json-viewer", never, { "json": "json"; "expanded": "expanded"; "isLeafSelectable": "isLeafSelectable"; "initialKeypath": "initialKeypath"; }, { "onLeafClick": "onLeafClick"; }, never, never>;
}
